<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Adaptive Pro
 * @since Catch Adaptive Pro 1.0 
 */

if ( ! function_exists( 'catchadaptive_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own catchadaptive_menuitem(), and that function will be used instead.
 *
 * @since Catch Adaptive Pro 1.0
 */
function catchadaptive_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // catchadaptive_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item' , 'catchadaptive_menuitem', 0 );


if ( ! function_exists( 'catchadaptive_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catchadaptive_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Catch Adaptive Pro 1.0
 */
function catchadaptive_qtranslate_invalidcache() {
	delete_transient( 'catchadaptive_featured_content' );
	delete_transient( 'catchadaptive_featured_slider' );
	delete_transient( 'catchadaptive_footer_content' );	
	delete_transient( 'catchadaptive_featured_image' );
	delete_transient( 'all_the_cool_cats' );	
} // catchadaptive_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'catchadaptive_qtranslate_invalidcache' );