<?php
/**
 * The template for adding color options in Customizer
 *
 * @package Catch Themes
 * @subpackage Catch Adaptive Pro
 * @since Catch Adaptive Pro 1.0
 */

 if ( ! defined( 'CATCHADAPTIVE_THEME_VERSION' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}
  	//Basic Color Options
  	$wp_customize->add_panel( 'catchadaptive_color_options', array(
	    'capability'     => 'edit_theme_options',
	    'description'    => __( 'Color Options', 'catch-adaptive-pro' ),
	    'priority'       => 300,
	    'title'    		 => __( 'Color Options', 'catch-adaptive-pro' ),
	) );

	$wp_customize->add_section( 'catchadaptive_color_scheme', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 301,
		'title'    => __( 'Basic Color Options', 'catch-adaptive-pro' ),
	) );

	$wp_customize->add_setting( 'catchadaptive_theme_options[color_scheme]', array(
		'capability' 		=> 'edit_theme_options',
		'default'    		=> $defaults['color_scheme'],
		'sanitize_callback'	=> 'catchadaptive_sanitize_select'
	) );

	$wp_customize->add_control( 'catchadaptive_theme_options[color_scheme]', array(
		'choices'  => catchadaptive_color_schemes(),
		'label'    => __( 'Color Scheme', 'catch-adaptive-pro' ),
		'priority' => 5,
		'section'  => 'catchadaptive_color_scheme',
		'settings' => 'catchadaptive_theme_options[color_scheme]',
		'type'     => 'radio',
	) );

	$catchadaptive_basic_color_options	=	catchadaptive_get_basic_color_options();

	$i = 10;
	foreach ( $catchadaptive_basic_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_color_scheme',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Header Color Option
	$wp_customize->add_section( 'catchadaptive_header_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 302,
		'title'    => __( 'Header Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_header_color_options	=	catchadaptive_get_header_color_options();

	$i = 10;
	foreach ( $catchadaptive_header_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_header_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Content Color Option
	$wp_customize->add_section( 'catchadaptive_content_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 303,
		'title'    => __( 'Content Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_content_color_options	=	catchadaptive_get_content_color_options();

	$i = 10;
	foreach ( $catchadaptive_content_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_content_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Sidebar Color Option
	$wp_customize->add_section( 'catchadaptive_sidebar_color_options', array(
		'description'	=> __( 'Only for Primary and Secondary Sidebars', 'catch-adaptive-pro' ),
		'panel'	   		=> 'catchadaptive_color_options',
		'priority' 		=> 304,
		'title'    		=> __( 'Sidebar Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_sidebar_color_options	=	catchadaptive_get_sidebar_color_options();

	$i = 1;
	foreach ( $catchadaptive_sidebar_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_sidebar_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Pagination Color Option
	$wp_customize->add_section( 'catchadaptive_pagination_color_options', array(
		'panel'	   		=> 'catchadaptive_color_options',
		'priority' 		=> 305,
		'title'    		=> __( 'Pagination Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_pagination_color_options	=	catchadaptive_get_pagination_color_options();

	$i = 1;
	foreach ( $catchadaptive_pagination_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_pagination_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Footer Color Option
	$wp_customize->add_section( 'catchadaptive_footer_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 306,
		'title'    => __( 'Footer Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_footer_color_options	=	catchadaptive_get_footer_color_options();

	$i = 1;
	foreach ( $catchadaptive_footer_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_footer_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Promotion Headline Color Option
	$wp_customize->add_section( 'catchadaptive_promotion_headline_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 307,
		'title'    => __( 'Promotion Headline Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_promotion_headline_options	=	catchadaptive_get_promotion_headline_color_options();

	$i = 1;
	foreach ( $catchadaptive_promotion_headline_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_promotion_headline_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Scrollup Color Option
	$wp_customize->add_section( 'catchadaptive_scrollup_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 308,
		'title'    => __( 'Scrollup Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_scrollup_options	=	catchadaptive_get_scrollup_color_options();

	$i = 1;
	foreach ( $catchadaptive_scrollup_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_scrollup_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Slider Color Option
	$wp_customize->add_section( 'catchadaptive_slider_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 309,
		'title'    => __( 'Slider Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_slider_options	=	catchadaptive_get_slider_color_options();

	$i = 1;
	foreach ( $catchadaptive_slider_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_slider_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Featured Content Color Options
	$wp_customize->add_section( 'catchadaptive_featured_content_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 310,
		'title'    => __( 'Featured Content Color Options', 'catch-adaptive-pro' ),
	) );

	$catchadaptive_featured_content_options	=	catchadaptive_get_featured_content_color_options();

	$i = 1;
	foreach ( $catchadaptive_featured_content_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_featured_content_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Menu Color Options
	$wp_customize->add_section( 'catchadaptive_primary_menu_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'title'    => __( 'Primary Menu Color Options', 'catch-adaptive-pro' ),
		'priority' => 351,
	) );

	$catchadaptive_menu_color_options	=	catchadaptive_get_menu_color_options();

	$i = 1;

	foreach ( $catchadaptive_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i++,
			'section'	=> 'catchadaptive_primary_menu_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );
	}

	$wp_customize->add_section( 'catchadaptive_secondary_menu_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 352,
		'title'    => __( 'Secondary Menu Color Options', 'catch-adaptive-pro' ),
	) );

	foreach ( $catchadaptive_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'secondary_' . $key;

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'catchadaptive_secondary_menu_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	$wp_customize->add_section( 'catchadaptive_footer_menu_color_options', array(
		'panel'	   => 'catchadaptive_color_options',
		'priority' => 353,
		'title'    => __( 'Footer Menu Color Options', 'catch-adaptive-pro' ),
	) );

	foreach ( $catchadaptive_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'footer_' . $key;

		if ( 'footer_sub_menu_background_color' == $lower_color_option || 'footer_sub_menu_text_color' == $lower_color_option ) {
			continue;
		}

		$wp_customize->add_setting( 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'catchadaptive_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'section'	=> 'catchadaptive_footer_menu_color_options',
			'settings'	=> 'catchadaptive_theme_options['. $lower_color_option .']',
			'priority'	=> $i
		) ) );

		$i++;
	}
	//Basic Color Options End