<?php
/**
 * The Header Right Sidebar containing the header right widget area
 *
 * @package Catch Themes
 * @subpackage Catch Adaptive Pro
 * @since Catch Adaptive Pro 1.0
 */
?>

<?php
/**
 * catchadaptive_before_header_sidebar hook
 */
do_action( 'catchadaptive_before_header_sidebar' ); ?>

	<?php
	//Header Right Widgets Sidebar
	if ( is_active_sidebar( 'header' ) ) { ?>
		<aside class="sidebar sidebar-header widget-area">
	   		<?php dynamic_sidebar( 'header' ); ?>
	   	</aside><!-- .sidebar .header-sidebar .widget-area -->
	<?php
	}
	else {
		//Helper Text
		if ( current_user_can( 'edit_theme_options' ) ) { ?>
			<aside class="sidebar sidebar-header widget-area">
				<section id="widget-default-text" class="widget widget_text">
					<div class="widget-wrap">
			        	<h2 class="widget-title"><?php _e( 'Header Sidebar Widget Area', 'catch-adaptive-pro' ); ?></h2>
			   			<div class="textwidget">
			           		<p><?php _e( 'This is the Header Sidebar Widget Area', 'catch-adaptive-pro' ); ?></p>
			           		<p><?php printf( __( 'You can add widget to this area by visiting your <a href="%s">Widgets Panel</a> which will replace default widgets.', 'catch-adaptive-pro' ), esc_url( admin_url( 'widgets.php' ) ) ); ?></p>
			         	</div>
			   		</div><!-- .widget-wrap -->
				</section><!-- #widget-default-text -->
			</aside><!-- .sidebar .header-sidebar .widget-area -->
		<?php
		}
   	}
	?>

<?php
/**
 * catchadaptive_after_header_sidebar hook
 */
do_action( 'catchadaptive_after_header_sidebar' );
